#
# Conditional build:
%bcond_without	gtk		# build without gtk-based frontend (fewer dependencies)
#
Summary:	ettercap - a ncurses-based sniffer/interceptor utility
Summary(pl.UTF-8):	ettercap - oparte o ncurses narzędzie do sniffowania/przechwytywania
Summary(pt_BR.UTF-8):	ettercap e um interceptador/sniffer paseado em ncurses
Name:		ettercap
Version:	0.7.3
Release:	18
Epoch:		1
License:	GPL
Group:		Networking/Utilities
Source0:	http://downloads.sourceforge.net/ettercap/%{name}-NG-%{version}.tar.gz
# Source0-md5:	28fb15cd024162c55249888fe1b97820
Patch1:		%{name}-build.patch
Patch2:		%{name}-as-needed.patch
Patch3:		%{name}-libmissing.patch
Patch4:		%{name}-shlib_ext.patch
Patch5:		%{name}-flags.patch
Patch6:		openssl.patch
URL:		http://ettercap.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gtk:BuildRequires:	gtk+2-devel}
BuildRequires:	libltdl-devel
BuildRequires:	libnet-devel >= 1.1.2.1
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	ncurses-ext-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
ettercap is a network sniffer/interceptor/logger for ethernet LANs
(both switched or not). It supports active and passive dissection of
many protocols (even ciphered ones, like SSH and HTTPS). Data
injection in an established connection and filtering (substitute or
drop a packet) on the fly is also possible, keeping the connection
synchronized. Many sniffing modes were implemented to give you a
powerful and complete sniffing suite. Plugins are supported. It has
the ability to check whether you are in a switched LAN or not, and to
use OS fingerprints (active or passive) to let you know the geometry
of the LAN. The passive scan of the LAN retrieves infos about: hosts
in the lan, open ports, services version, type of the host (gateway,
router or simple host) and extimated distance in hop.

%description -l pl.UTF-8
ettercap jest wieloczynnościowym snifferem/przechwytywaczem/loggerem
dla sieci LAN (opartych na switchach lub hubach). Obsługuje aktywną i
pasywną analizę wielu protokołów (nawet szyfrowanych, jak SSH czy
HTTPS). Możliwe jest także wstrzykiwanie lub filtrowanie danych
(podmiana lub usunięcie pakietu) w locie, przy podtrzymaniu
synchronizacji połączenia. Program ma zaimplementowane wiele trybów
sniffowania, aby dać potężne i kompletne narzędzie. Obsługiwane są
wtyczki. Program ma możliwość sprawdzania, czy pracuje w sieci ze
switchami oraz używania odcisków systemów (aktywnego lub pasywnego) do
poznania geometrii sieci. Pasywne skanowanie sieci uzyskuje informacje
o: hostach w sieci, otwartych portach, wersjach usług, rodzajach
hostów (bramki, routery lub zwykłe komputery) oraz przybliżonych
odległościach (w hopach).

%description -l pt_BR.UTF-8
ettercap é um sniffer/interceptor/logger de rede para redes locais
(com uso de switches ou não). Suporta operações ativas e passivas de
vários protocolos (mesmo os criptografados, como SSH e HTTPS). Também
é possível injeção de dados em uma conexão estabelecida e filtragem
(substituição ou descarte de um pacote) em tempo real mantendo a
conexão sincronizada. Muitos modos de sniffing foram implementadas
para proporcionar a você um completo conjunto de sniffing. Plugins são
suportados. Tem a habilidade de verificar se você está em uma rede
local com switches ou não. Utiliza fingerprints do Sistema Operacional
(ativo ou passivo) para permitir que você conheça a geometria da rede
local. A varredura passiva da rede local obtém informações sobre:
hosts na rede local, portas abertas, versão de serviços, tipo de host
(gateway, router ou um computador) e a distância estimada no hop.

%prep
%setup -q -n %{name}-NG-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--%{?with_gtk:en}%{!?with_gtk:dis}able-gtk \
	--enable-plugins \
	--enable-https
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG AUTHORS TODO doc/*
%doc THANKS README.BUGS
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ettercap
%attr(755,root,root) %{_libdir}/ettercap/*.so
%{_libdir}/ettercap/*.la
%{_datadir}/ettercap
%{_mandir}/man8/*
%{_mandir}/man5/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/etter.conf
%changelog
* Wed Sep 26 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ettercap.git;a=log;h=master

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 888d2f6
- rel 18; fix openssl 1.1.1 build

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a4c4c8
- release 17 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a81f132
- ncurses rebuild
- release 16 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 967994b
- ncurses rebuild
- release 15 (by relup.sh)

* Fri Apr 20 2012 Jan Rękorajski <baggins@pld-linux.org> 195ad48
- release 14

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1874ae2
- release 13

* Mon Jan 30 2012 lisu <lisu@pld-linux.org> 0ab95b5
- no more separated libtinfo(w)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 43460ef
- release 12

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 50c9f01
- release 11

* Sat Jun 19 2010 sparky <sparky@pld-linux.org> cfaadd6
- revised patches, better description in patch commits
- regenerate auto*, this way it uses our (patched) libtool
- release: 10

* Sat Jun 19 2010 sparky <sparky@pld-linux.org> 5d5438e
- no longer neeeded

* Sat Jun 19 2010 sparky <sparky@pld-linux.org> 7caf064
- status: no longer needed

* Sat Jun 19 2010 sparky <sparky@pld-linux.org> 683247c
- use LT_MODULE_EXT instead of LTDL_SHLIB_EXT (PLUGIN_PATTERN infludes the *
  wildcard already); patch required to rebuild auto*

* Sat Jun 19 2010 sparky <sparky@pld-linux.org> 027adaf
- patch replaced with new one: some tinfo functions are used directly - link
  with -ltinfo as well

* Sat Jun 19 2010 sparky <sparky@pld-linux.org> 88f1aec
- use missing feature correctly (patch required to regenerate auto*)

* Sat Jun 19 2010 sparky <sparky@pld-linux.org> 422bc88
- don't force -O2 nor -funroll-loops; left -fomit-frame-pointer, this one is ok

* Sat Jun 19 2010 sparky <sparky@pld-linux.org> 0b558b2
- this patch was broken, replaced with new one: put EC_LIBS in LDADD instead
  of LDFLAGS

* Mon Jun 07 2010 hawk <hawk@pld-linux.org> f485739
- release 9

* Thu May 13 2010 sparky <sparky@pld-linux.org> 597fc98
- BR: pkgconfig

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b4bdb4
- release 8

